Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.exc
Class LocalVariableInfoInconsistentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                      org.apache.bcel.verifier.exc.VerificationException
                          org.apache.bcel.verifier.exc.ClassConstraintException
                              org.apache.bcel.verifier.exc.LocalVariableInfoInconsistentException

All Implemented Interfaces:
  Serializable

    public class LocalVariableInfoInconsistentException

extends ClassConstraintException

A LocalVariableInfoInconsistentException instance is thrown by the LocalVariableInfo class when it detects that the information it holds is inconsistent; this is normally due to inconsistent LocalVariableTable entries in the Code attribute of a certain Method object.

Version:
  $Id: LocalVariableInfoInconsistentException.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`LocalVariableInfoInconsistentException()` Constructs a new LocalVariableInfoInconsistentException with null as its error message string.
`LocalVariableInfoInconsistentException(String message)` Constructs a new LocalVariableInfoInconsistentException with the specified error message.

Method Summary

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariableInfoInconsistentException

    public LocalVariableInfoInconsistentException()

  Constructs a new LocalVariableInfoInconsistentException with null as its error message string.

### LocalVariableInfoInconsistentException

    public LocalVariableInfoInconsistentException(String message)

  Constructs a new LocalVariableInfoInconsistentException with the specified error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.